phing-tasks-system-condition

# Class: IsSetCondition Source Location: /tasks/system/condition/IsSetCondition.php
### Class Overview
    ProjectComponent
       |
       --IsSetCondition
Condition that tests whether a given property has been set. #### Author(s): Stefan Bodewig <stefan.bodewig@epost.de> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ Implements interfaces: Condition | ### Methods evaluate setProperty
### Inherited Variables #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 33] Condition that tests whether a given property has been set. #### Tags:
author: | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method evaluate [line 45]
`void evaluate( )`
Check whether property is set. #### Tags:
throws: | BuildException
access: | public
Implementation of: Condition::evaluate() [ Top ] ### method setProperty [line 37]
`void setProperty( $p)`
#### Tags:
access: | public
#### Parameters:
| $p |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:09 +0200 by phpDocumentor 1.4.3